#
# spec file for package libt3highlight
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libt3highlight
%define lname	libt3highlight2
Version:        0.4.2
Release:        lp151.2.3
Summary:        The Tilde Toolkit's syntax highlighting library
License:        GPL-3.0
Group:          Development/Libraries/C and C++
Url:            http://os.ghalkes.nl/t3/libt3highlight.html

#Git-Clone:	git://github.com/gphalkes/t3highlight
Source:         http://os.ghalkes.nl/dist/%name-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libpcre) >= 8
BuildRequires:  pkgconfig(libt3config) >= 0.2.5
%if 0%{?suse_version}
BuildRequires:  fdupes
%endif

%description
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

%package -n %lname
Summary:        The Tilde Toolkit's syntax highlighting library
Group:          System/Libraries

%description -n %lname
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

%package devel
Summary:        Development files for libt3highlight, a syntax highlighting library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

This subpackage contains libraries and header files for developing
applications that want to make use of libt3highlight.

%package utils
Summary:        Utilities for working with libt3highlight
Group:          Productivity/Other

%description utils
libt3highlight is a library that provides functions for syntax
highlighting different types of text files.

This subpackage contains the T3 highlighting utility.

%prep
%setup -q

%build
export CC=gcc
%configure --docdir="%_docdir/%name"
make %{?_smp_mflags}

%install
b="%buildroot"
make install DESTDIR="$b"
rm -f "$b/%_libdir"/*.la
%if 0%{?fdupes:1}
%fdupes %buildroot/%_prefix
%endif

%post   -p /sbin/ldconfig -n %lname
%postun -p /sbin/ldconfig -n %lname

%files -n %lname
%defattr(-,root,root)
%_libdir/libt3highlight.so.2*
%doc COPYING
%_datadir/%lname/

%files devel
%defattr(-,root,root)
%_includedir/t3/
%_libdir/libt3highlight.so
%_libdir/pkgconfig/libt3highlight.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%files utils
%defattr(-,root,root)
%_bindir/t3*
%_mandir/man1/t3*.1*

%changelog
* Mon Aug  7 2017 jengelh@inai.de
- Update to new upstream release 0.4.2
  * This release contains several changes to the interface for
    detecting languages, which make it possible to retrieve more
    information about the detected language. Basic highlighting for
    PHP was added, and the HTML highlighting had several small
    fixes.
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.3.5
  * Added omitted 'do' keyword for C++.
  * Fix reads and writes of unallocated memory in analyzing patterns.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.3.4
  * This release adds the override keyword for C++, updates the diff
  language specification to be more permissive and corrects the
  color for deletions in t3highlight when outputing to terminal.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Feb  3 2014 jengelh@inai.de
- Update to new upstream release 0.3.3
  * This release fixes a bug in the loop detection for
  non-progressing patterns, and highlights java string constants
  (they were already detected, just not highlighted).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.3.2) for build.opensuse.org
